Bug 1628782 - Pulp monthly maintenance not being ran on Capsules
Summary: Pulp monthly maintenance not being ran on Capsules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: 6.7.0
Assignee: Patrick Creech
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On: 1609928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-13 23:54 UTC by Mike McCune
Modified: 2020-06-22 18:19 UTC (History)
17 users (show)

Fixed In Version: satellite-6.7.0-2.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1609928
Environment:
Last Closed: 2020-04-14 13:23:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:37 UTC

Description Mike McCune 2018-09-13 23:54:36 UTC
+++ This bug was initially created as a clone of Bug #1609928 +++

We need to add the cron job to Capsules as well that we added as part of 1609928 for the Satellite.

This is less critical than on the Satellite as we don't have consumer applicability data stored on the Capsules but still important that we run the maintenance task as Pulp expects.

Comment 1 Patrick Creech 2018-10-08 16:40:11 UTC
FWIW, this is a very simple easyfix of moving the 'Requires: pulp-maintenance' line on the statellite rpm spec file from the satellite package to the satellite-common package

Comment 2 Tanya Tereshchenko 2020-01-03 16:43:04 UTC
Moved to the Packaging component. Feel free to change if it's not the correct one.
Nothing to do on the Pulp side.

Comment 3 Lukas Pramuk 2020-01-29 15:35:04 UTC
VERIFIED.

@satellite-capsule-6.7.0-5.beta.el7sat.noarch
satellite-common-6.7.0-5.beta.el7sat.noarch
pulp-maintenance-2.21.0-1.el7sat.noarch

by the following manual steps on default capsule installation:

# rpm -ql pulp-maintenance
/etc/cron.weekly/pulp-maintenance

# /etc/cron.weekly/pulp-maintenance
11bf04e2-7ecd-4f72-80fb-2445bf1222a8

# grep queue_monthly_maintenance /var/log/messages 
Jan 29 10:26:20 capsule1 pulp: celery.worker.strategy:INFO: Received task: pulp.server.maintenance.monthly.queue_monthly_maintenance[11bf04e2-7ecd-4f72-80fb-2445bf1222a8]
Jan 29 10:26:20 capsule1 pulp: celery.app.trace:INFO: [11bf04e2] Task pulp.server.maintenance.monthly.queue_monthly_maintenance[11bf04e2-7ecd-4f72-80fb-2445bf1222a8] succeeded in 0.0761299329997s: None

>>> pulp maintenence cron job is present by default and finishes successfully

Comment 6 errata-xmlrpc 2020-04-14 13:23:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.